| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Attributes | List of all members
boost::threadpool::resize_controller< Pool > Class Template Reference

SizePolicyController which allows resizing. More...

`#include <src/threadpool/boost/threadpool/size_policies.hpp>`

## Public Member Functions
| resize_controller (size_policy_type &policy, shared_ptr< Pool > pool)
bool | resize (size_t worker_count)

## Private Types
typedef Pool::size_policy_type | size_policy_type

## Private Attributes
reference_wrapper< size_policy_type > | m_policy
shared_ptr< Pool > | m_pool
| to make sure that the pool is alive (the policy pointer is valid) as long as the controller exists More...

## Detailed Description

### template<typename Pool>
class boost::threadpool::resize_controller< Pool >

SizePolicyController which allows resizing.

Parameters

  Pool | The pool's core type.

Definition at line 43 of file size_policies.hpp.

## Member Typedef Documentation

template<typename Pool >

typedef Pool::size_policy_type boost::threadpool::resize_controller< Pool >::size_policy_type
| private

Definition at line 45 of file size_policies.hpp.

## Constructor & Destructor Documentation

template<typename Pool >

boost::threadpool::resize_controller< Pool >::resize_controller | ( | size_policy_type & | policy,
|  | shared_ptr< Pool > | pool
| ) |  |
| inline

Definition at line 50 of file size_policies.hpp.

51 : m_policy(policy)
52 , m_pool(pool)
53 {
54 }
pool
Definition: PoolClasses.h:7
boost::threadpool::resize_controller::m_pool
shared_ptr< Pool > m_pool
to make sure that the pool is alive (the policy pointer is valid) as long as the controller exists ...
Definition: size_policies.hpp:47
boost::threadpool::resize_controller::m_policy
reference_wrapper< size_policy_type > m_policy
Definition: size_policies.hpp:46

## Member Function Documentation

template<typename Pool >

bool boost::threadpool::resize_controller< Pool >::resize | ( | size_t | worker_count | ) |
| inline

Definition at line 56 of file size_policies.hpp.

57 {
58 return m_policy.get().resize(worker_count);
59 }
boost::threadpool::resize_controller::m_policy
reference_wrapper< size_policy_type > m_policy
Definition: size_policies.hpp:46

## Member Data Documentation

template<typename Pool >

reference_wrapper<size_policy_type> boost::threadpool::resize_controller< Pool >::m_policy
| private

Definition at line 46 of file size_policies.hpp.

template<typename Pool >

shared_ptr<Pool> boost::threadpool::resize_controller< Pool >::m_pool
| private

to make sure that the pool is alive (the policy pointer is valid) as long as the controller exists

Definition at line 47 of file size_policies.hpp.

The documentation for this class was generated from the following file:

- GaudiMTTools/src/threadpool/boost/threadpool/size_policies.hpp